ApplePictParserInternal::ColorTable Struct Reference

Internal and low level: a class used to read a color map in a Apple Pict. More...

## Public Member Functions

| ColorTable ()
| constructor
bool | read (MWAWInputStream &input)
| tries to read a colortable

## Public Attributes

int | m_flags
| the color table flags
std::vector< MWAWColor > | m_colors
| the list of colors

## Friends

std::ostream & | operator<< (std::ostream &o, ColorTable const &f)
| operator<< for ColorTable

## Detailed Description

Internal and low level: a class used to read a color map in a Apple Pict.

## Constructor & Destructor Documentation

## ColorTable()

ApplePictParserInternal::ColorTable::ColorTable | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## read()

bool ApplePictParserInternal::ColorTable::read | ( | MWAWInputStream & | input | ) |

inline

tries to read a colortable

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ColorTable const & | f )

friend

operator<< for ColorTable

## Member Data Documentation

## m_colors

std::vector<MWAWColor> ApplePictParserInternal::ColorTable::m_colors

the list of colors

Referenced by ColorTable(), operator<<, and read().

## m_flags

int ApplePictParserInternal::ColorTable::m_flags

the color table flags

Referenced by ColorTable(), operator<<, and read().

The documentation for this struct was generated from the following file:

- ApplePictParser.cxx